| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IImagesBatch Struct Referenceabstract

Result of ImageTransfer module. More...

`#include <IImagesBatch.h>`

Inheritance diagram for fsdk::IImagesBatch:

## Public Member Functions
virtual size_t | getSize () const noexcept=0
| Returns size. More...
virtual Image | getImage (size_t index=0) const noexcept=0
| Returns Image. More...
virtual Span< const Image > | getImages () const noexcept=0
| Return Images Span. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Result of ImageTransfer module.

Note
  Images stored in IImagesBatch is located in internal memory pool placed on device user choose while making transfer.
  This structure valid only while FaceEngine initialized. Usage of this structure after FaceEngine destruction is undefined behaviour.

## Member Function Documentation

virtual Image fsdk::IImagesBatch::getImage | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns Image.

Parameters

  [in] | index | index of the image in a batch.

Returns
  Image.

See Also
  Image for details.

virtual Span<const Image> fsdk::IImagesBatch::getImages | ( |  | ) | const
| pure virtual noexcept

Return Images Span.

Returns
  Span of Images.

See Also
  Span and Image for details.

Note
  The resulting fsdk::Span refers to the fsdk::IImagesBatch object internal storage and does not own a data.

virtual size_t fsdk::IImagesBatch::getSize | ( |  | ) | const
| pure virtual noexcept

Returns size.

Returns
  size of the image list.

The documentation for this struct was generated from the following file:

- include/fsdk/IImagesBatch.h